import { createAsyncStructure } from 'store/utils/actions';

import constants from './constants';

const actions = {
  load: createAsyncStructure(`${constants.prefix}_blog_load`),
  loadOne: createAsyncStructure(`${constants.prefix}_blog_load_one`),
  add: createAsyncStructure(`${constants.prefix}_blog_add`),
  edit: createAsyncStructure(`${constants.prefix}_blog_edit`),
  delete: createAsyncStructure(`${constants.prefix}_blog_delete`),
  search: createAsyncStructure(`${constants.prefix}_blog_search`),
  publish: createAsyncStructure(`${constants.prefix}_blog_publish`),
  unpublish: createAsyncStructure(`${constants.prefix}_blog_unpublish`),
  loadPermission: createAsyncStructure(`${constants.prefix}_blog_load_permission`),
  addPermission: createAsyncStructure(`${constants.prefix}_blog_add_permission`),
  removePermission: createAsyncStructure(`${constants.prefix}_blog_remove_permission`),
};

export default actions;
